# panos_dag_tags – Create tags for DAG’s on PAN-OS devices

New in version 2.5.

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Consolidating code base.

Alternative

  Use https://galaxy.ansible.com/PaloAltoNetworks/paloaltonetworks instead.

## Synopsis

- Create the ip address to tag associations. Tags will in turn be used to create DAG’s

## Requirements

The below requirements are needed on the host that executes this module.

- pan-python can be obtained from PyPI https://pypi.org/project/pan-python/

- pandevice can be obtained from PyPI https://pypi.org/project/pandevice/

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key - |  | API key that can be used instead of username/password credentials.

commit
boolean

Choices:
- no
- yes ←

commit if changed

description - |  | The purpose / objective of the static Address Group
devicegroup - |  | - Device groups are used for the Panorama interaction with Firewall(s). The group must exists on Panorama. If device group is not define we assume that we are contacting Firewall.
ip_address string / required |  | IP address (or hostname) of PAN-OS device.
ip_to_register - |  | IP that will be registered with the given tag names.
operation - |  | The action to be taken. Supported values are add/update/find/delete.
password string / required |  | Password for authentication.
tag_names - |  | The list of the tags that will be added or removed from the IP address.
username string | Default: "admin" | Username for authentication.

## Notes

Note

- Checkmode is not supported.

- Panorama is not supported.

## Examples

    - name: Create the tags to map IP addresses
      panos_dag_tags:
        ip_address: "{{ ip_address }}"
        password: "{{ password }}"
        ip_to_register: "{{ ip_to_register }}"
        tag_names: "{{ tag_names }}"
        description: "Tags to allow certain IP's to access various SaaS Applications"
        operation: 'add'
      tags: "adddagip"

    - name: List the IP address to tag mapping
      panos_dag_tags:
        ip_address: "{{ ip_address }}"
        password: "{{ password }}"
        tag_names: "{{ tag_names }}"
        description: "List the IP address to tag mapping"
        operation: 'list'
      tags: "listdagip"

    - name: Unregister an IP address from a tag mapping
      panos_dag_tags:
        ip_address: "{{ ip_address }}"
        password: "{{ password }}"
        ip_to_register: "{{ ip_to_register }}"
        tag_names: "{{ tag_names }}"
        description: "Unregister IP address from tag mappings"
        operation: 'delete'
      tags: "deletedagip"

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Vinay Venkataraghavan (@vinayvenkat)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.